summaryrefslogtreecommitdiffstats
path: root/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S02hostname
diff options
context:
space:
mode:
Diffstat (limited to 'target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S02hostname')
-rwxr-xr-xtarget/device/Atmel/atstk1002/target_skeleton/etc/init.d/S02hostname47
1 files changed, 47 insertions, 0 deletions
diff --git a/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S02hostname b/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S02hostname
new file mode 100755
index 000000000..fcad428af
--- /dev/null
+++ b/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S02hostname
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+PROGRAM=/bin/hostname
+
+echo -n "Setting hostname:"
+[ -x ${PROGRAM} ] || (echo " missing"; exit 0)
+
+if [ -f /etc/hostname ]; then
+ HOST="$(cat /etc/hostname)"
+else
+ HOST="localhost.localdomain"
+fi
+
+start() {
+ if ${PROGRAM} "${HOST}" > /dev/null 2> /dev/null; then
+ echo " '${HOST}'"
+ else
+ echo " failed"
+ exit 1
+ fi
+}
+
+stop() {
+ return 0
+}
+
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?